VkPhysicalDeviceSparseProperties Struct Reference

`#include <vulkan.h>`

## Data Fields

VkBool32 | residencyStandard2DBlockShape
VkBool32 | residencyStandard2DMultisampleBlockShape
VkBool32 | residencyStandard3DBlockShape
VkBool32 | residencyAlignedMipSize
VkBool32 | residencyNonResidentStrict

## Detailed Description

Definition at line 1615 of file vulkan.h.

## Field Documentation

## residencyAlignedMipSize

VkBool32 VkPhysicalDeviceSparseProperties::residencyAlignedMipSize

Definition at line 1619 of file vulkan.h.

## residencyNonResidentStrict

VkBool32 VkPhysicalDeviceSparseProperties::residencyNonResidentStrict

Definition at line 1620 of file vulkan.h.

## residencyStandard2DBlockShape

VkBool32 VkPhysicalDeviceSparseProperties::residencyStandard2DBlockShape

Definition at line 1616 of file vulkan.h.

## residencyStandard2DMultisampleBlockShape

VkBool32 VkPhysicalDeviceSparseProperties::residencyStandard2DMultisampleBlockShape

Definition at line 1617 of file vulkan.h.

## residencyStandard3DBlockShape

VkBool32 VkPhysicalDeviceSparseProperties::residencyStandard3DBlockShape

Definition at line 1618 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h